public class TimeForLoop {
    /*  Reads two int command-line arguments and measures
        the time taken to run nested for loops with n
        iterations each, where n starts at the first
        and doubles after each run until reaching the second.
        Example execution: TimeForLoop min max
     */
    public static void main(String[] args) {
        int min = Integer.parseInt(args[0]);
        int max = Integer.parseInt(args[1]);

        long previous = 0;
        for (int n = min; n <= max; n *= 2) {
            long start = System.nanoTime();

            for (int i = 0; i < n; i++)
            // for (int j = 0; j < n; j++)
            //     for (int k = 0; k < n; k++)
            //         for (int l = 0; l < n; l++)
            {
            }

            long elapsed = System.nanoTime() - start;
            System.out.print("Elapsed time for n = " + n + ": " + (double) elapsed / 1_000_000_000);
            if (n > min)
                System.out.printf(". Ratio with previous: %.2f", (double) elapsed / previous);
            System.out.println();
            previous = elapsed;
        }
    }
}
